#include <hxcpp.h>

#ifndef INCLUDED_phoenix_TextAlign
#include <phoenix/TextAlign.h>
#endif
namespace phoenix{

::phoenix::TextAlign TextAlign_obj::bottom;

::phoenix::TextAlign TextAlign_obj::center;

::phoenix::TextAlign TextAlign_obj::left;

::phoenix::TextAlign TextAlign_obj::right;

::phoenix::TextAlign TextAlign_obj::top;

HX_DEFINE_CREATE_ENUM(TextAlign_obj)

int TextAlign_obj::__FindIndex(::String inName)
{
	if (inName==HX_CSTRING("bottom")) return 4;
	if (inName==HX_CSTRING("center")) return 2;
	if (inName==HX_CSTRING("left")) return 0;
	if (inName==HX_CSTRING("right")) return 1;
	if (inName==HX_CSTRING("top")) return 3;
	return super::__FindIndex(inName);
}

int TextAlign_obj::__FindArgCount(::String inName)
{
	if (inName==HX_CSTRING("bottom")) return 0;
	if (inName==HX_CSTRING("center")) return 0;
	if (inName==HX_CSTRING("left")) return 0;
	if (inName==HX_CSTRING("right")) return 0;
	if (inName==HX_CSTRING("top")) return 0;
	return super::__FindArgCount(inName);
}

Dynamic TextAlign_obj::__Field(const ::String &inName,bool inCallProp)
{
	if (inName==HX_CSTRING("bottom")) return bottom;
	if (inName==HX_CSTRING("center")) return center;
	if (inName==HX_CSTRING("left")) return left;
	if (inName==HX_CSTRING("right")) return right;
	if (inName==HX_CSTRING("top")) return top;
	return super::__Field(inName,inCallProp);
}

static ::String sStaticFields[] = {
	HX_CSTRING("left"),
	HX_CSTRING("right"),
	HX_CSTRING("center"),
	HX_CSTRING("top"),
	HX_CSTRING("bottom"),
	::String(null()) };

static void sMarkStatics(HX_MARK_PARAMS) {
	HX_MARK_MEMBER_NAME(TextAlign_obj::bottom,"bottom");
	HX_MARK_MEMBER_NAME(TextAlign_obj::center,"center");
	HX_MARK_MEMBER_NAME(TextAlign_obj::left,"left");
	HX_MARK_MEMBER_NAME(TextAlign_obj::right,"right");
	HX_MARK_MEMBER_NAME(TextAlign_obj::top,"top");
};

#ifdef HXCPP_VISIT_ALLOCS
static void sVisitStatic(HX_VISIT_PARAMS) {
	HX_VISIT_MEMBER_NAME(TextAlign_obj::__mClass,"__mClass");
	HX_VISIT_MEMBER_NAME(TextAlign_obj::bottom,"bottom");
	HX_VISIT_MEMBER_NAME(TextAlign_obj::center,"center");
	HX_VISIT_MEMBER_NAME(TextAlign_obj::left,"left");
	HX_VISIT_MEMBER_NAME(TextAlign_obj::right,"right");
	HX_VISIT_MEMBER_NAME(TextAlign_obj::top,"top");
};
#endif

static ::String sMemberFields[] = { ::String(null()) };
Class TextAlign_obj::__mClass;

Dynamic __Create_TextAlign_obj() { return new TextAlign_obj; }

void TextAlign_obj::__register()
{

hx::Static(__mClass) = hx::RegisterClass(HX_CSTRING("phoenix.TextAlign"), hx::TCanCast< TextAlign_obj >,sStaticFields,sMemberFields,
	&__Create_TextAlign_obj, &__Create,
	&super::__SGetClass(), &CreateTextAlign_obj, sMarkStatics
#ifdef HXCPP_VISIT_ALLOCS
    , sVisitStatic
#endif
#ifdef HXCPP_SCRIPTABLE
    , 0
#endif
);
}

void TextAlign_obj::__boot()
{
hx::Static(bottom) = hx::CreateEnum< TextAlign_obj >(HX_CSTRING("bottom"),4);
hx::Static(center) = hx::CreateEnum< TextAlign_obj >(HX_CSTRING("center"),2);
hx::Static(left) = hx::CreateEnum< TextAlign_obj >(HX_CSTRING("left"),0);
hx::Static(right) = hx::CreateEnum< TextAlign_obj >(HX_CSTRING("right"),1);
hx::Static(top) = hx::CreateEnum< TextAlign_obj >(HX_CSTRING("top"),3);
}


} // end namespace phoenix
